.section2 {
  display: flex;
  flex-direction: column;
  gap: 120px;
  align-items: flex-start;
  justify-content: flex-start;
  align-self: stretch;
  flex-shrink: 0;

  & .features {
    display: flex;
    justify-content: flex-start;
    align-items: flex-start;
    align-self: stretch;
    flex-shrink: 0;
    gap: 24px;

    &.f1 {
      flex-direction: row;
    }
    &.f2 {
      flex-direction: row-reverse;
    }
    &.f3 {
      flex-direction: row;
    }
    @media (max-width: 767px) {
      &.f1,
      &.f2,
      &.f3 {
        flex-direction: column;
      }
    }
  }

  & .feature-img {
    border-radius: 12px;
    flex: 1;
    min-height: 300px;
    height: 340px;
    width: 100%;
    position: relative;

    @media (min-width: 1024px) {
      max-width: 588px;
    }

    &.img1 {
      background-image: url(../images/sam-mcghee-KieCLNzKoBo-unsplash.jpg);
    }
    &.img2 {
      background-image: url(../images/kelly-sikkema-1Pgq9ZpIatI-unsplash.jpg);
    }
    &.img3 {
      background-image: url(../images/mimi-thian-7tb-EZTB8kk-unsplash.jpg);
    }
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;

    &::before {
      content: "";
      position: absolute;
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
      border-radius: 12px;
      background-color: rgba(36, 36, 36, 0.15);
      z-index: 1;
    }
  }
  & .feature-content {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    gap: 32px;
    flex: 1;
    width: 100%;
    max-width: 588px;
    position: relative;

    @media (max-width: 767px) {
      align-items: flex-start;
    }
  }
  & .text-box {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
    gap: 0px;
    width: 100%;

    flex-shrink: 0;
    position: relative;
    color: var(--color-neutral-800);
    @media (min-width: 768px) {
      max-width: 384px;
    }

    & > .subtitle {
      display: flex;
      align-self: stretch;
      flex-shrink: 0;
      position: relative;

      font-size: var(--font-size-desktop-heading-5);
      line-height: var(--lineheight-desktop-heading-5);
      font-weight: var(--font-weight-bold);
      @media (max-width: 1024px) {
        font-size: var(--font-size-mobile-heading-5);
        line-height: var(--lineheight-mobile-heading-5);
      }
    }
    & > .title {
      font-size: var(--font-size-desktop-heading-3);
      line-height: var(--lineheight-desktop-heading-3);
      font-weight: var(--font-weight-bold);
      @media (max-width: 1024px) {
        font-size: var(--font-size-mobile-heading-3);
        line-height: var(--lineheight-mobile-heading-3);
      }
    }
    & > .description {
      margin-top: 24px;
      color: var(--color-neutral-700);
      font-size: var(--font-size-desktop-body-m);
      line-height: var(--lineheight-desktop-body-m);
      font-weight: var(--font-weight-regular);
      word-break: keep-all;
      & span {
        display: block;
      }
      @media (max-width: 1024px) {
        font-size: var(--font-size-mobile-body-m);
        line-height: var(--lineheight-mobile-body-m);
      }
    }
    & > button {
      margin-top: 32px;
    }
  }
}
